package com.pj.tb_enterprise;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_enterprise -- 商家
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbEnterprise.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbEnterprise extends Model<TbEnterprise> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_enterprise";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-enterprise";
	public static final String PERMISSION_CODE_ADD = "tb-enterprise-add";
	public static final String PERMISSION_CODE_EDIT = "tb-enterprise-edit";
	public static final String PERMISSION_CODE_DEL = "tb-enterprise-del";




	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 国别 
	 */
	private String nationality;	

	/**
	 * 商户分类(自营商铺=自营商铺,劳务商铺=劳务商铺) 
	 */
	private String type;	

	/**
	 * 法人 
	 */
	private String legalPerson;	

	/**
	 * 身份证号 
	 */
	private String idCard;	

	/**
	 * 手机号码 
	 */
	private String contact;	

	/**
	 * 营业执照 
	 */
	private String businessLicense;	

	/**
	 * 所在铺位ID 
	 */
	private Long shopId;	

	/**
	 * 所在铺位名称(1=100-2) 
	 */
	private String shopName;	

	/**
	 * 银行编号(CMB= 招商银行) 
	 */
	private String bankNo;	

	/**
	 *  
	 */
	private String bankName;	

	/**
	 * 银行账号 
	 */
	private String bankAccount;	

	/**
	 * 税号 
	 */
	private String dutyParagraph;	

	/**
	 *  
	 */
	private String addressIds;	

	/**
	 *  
	 */
	private String address;	

	/**
	 *  
	 */
	private String agreement;	

	/**
	 *  
	 */
	private int judgeStatus;

	/**
	 *  
	 */
	private String judgeContent;	

	/**
	 *  
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date judgeTime;

	/**
	 *  
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date registerTime;

	/**
	 *  
	 */
	private String personId;	

	/**
	 * 创建时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	/**
	 * 创建人编号 
	 */
	private String createBy;	

	/**
	 * 创建人名称 
	 */
	private String createName;	

	/**
	 * 更新时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	/**
	 * 更新人编号 
	 */
	private String updateBy;	

	/**
	 * 更新人名称 
	 */
	private String updateName;	

	/**
	 * 删除状态(0=禁用,1=启用) 
	 */
	private Integer deleteStatus;	





	


}
