package com.pj.tb_goods_transit;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * @Author Mechrevo
 * @Date 2023 07 21 16 36
 **/
@Service
@Transactional(rollbackFor = Exception.class)
public class MethodGoodsTransitService {
    
    @Autowired
    private TbGoodsTransitMapper tbGoodsTransitMapper;

    /**
     * 方法抽取  导入
     * @param row
     * @param sheet
     * @param count
     * @return
     */
    public int importMethod(HSSFRow row, HSSFSheet sheet, int count){

        for (int i = 1; i < sheet.getPhysicalNumberOfRows(); i++) {
            //封装数据到行对象
            row = sheet.getRow(i);
            //定义返回值实体
            TbGoodsTransit tbGoodsTransit = new TbGoodsTransit();
            //解析数据
            if(row.getCell(1) != null && !row.getCell(1).toString().trim().equals(""))
                tbGoodsTransit.setMerchantId(row.getCell(1).getStringCellValue());

            if(row.getCell(2) != null && !row.getCell(2).toString().trim().equals(""))
                tbGoodsTransit.setMerchantName(row.getCell(2).getStringCellValue());

            if(row.getCell(3) != null && !row.getCell(3).toString().trim().equals(""))
                tbGoodsTransit.setGoodsType(row.getCell(3).getStringCellValue());

            if(row.getCell(4) != null && !row.getCell(4).toString().trim().equals(""))
                tbGoodsTransit.setGoodsName(row.getCell(4).getStringCellValue());

            if(row.getCell(5) != null && !row.getCell(5).toString().trim().equals(""))
                tbGoodsTransit.setGoodsUnits(row.getCell(5).getStringCellValue());

            HSSFCell cell6 = row.getCell(6);
            if (cell6 != null && (cell6.getCellType() == CellType.NUMERIC || cell6.getCellType() == CellType.FORMULA))
                tbGoodsTransit.setPrice(cell6.getNumericCellValue());

            if(row.getCell(7) != null && !row.getCell(7).toString().trim().equals(""))
                tbGoodsTransit.setPlaceOrigin(row.getCell(7).getStringCellValue());

            if(row.getCell(8) != null && !row.getCell(8).toString().trim().equals(""))
                tbGoodsTransit.setDescription(row.getCell(8).getStringCellValue()   );

            HSSFCell cell9 = row.getCell(9);
            if (cell9 != null && (cell9.getCellType() == CellType.NUMERIC || cell9.getCellType() == CellType.FORMULA))
                tbGoodsTransit.setStock((int)cell9.getNumericCellValue());

            HSSFCell cell10 = row.getCell(10);
            if (cell10 != null && (cell10.getCellType() == CellType.NUMERIC || cell10.getCellType() == CellType.FORMULA))
                tbGoodsTransit.setGoodsStatus((int)cell10.getNumericCellValue());

            HSSFCell cell11 = row.getCell(11);
            if (cell11 != null && (cell11.getCellType() == CellType.NUMERIC || cell11.getCellType() == CellType.FORMULA))
                tbGoodsTransit.setAuditStatus((int) cell11.getNumericCellValue());

            HSSFCell cell2 = row.getCell(12);
            if (cell2 != null && cell2.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell2))
                if(row.getCell(12) != null && !row.getCell(12).toString().trim().equals(""))
                    tbGoodsTransit.setAuditTime(cell2.getDateCellValue());

            if(row.getCell(13) != null && !row.getCell(13).toString().trim().equals(""))
                tbGoodsTransit.setRemark(row.getCell(13).getStringCellValue());

            //公共字段
            HSSFCell cell4 = row.getCell(14);
            if (cell4 != null && cell4.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell4)) {
                tbGoodsTransit.setCreateTime(cell4.getDateCellValue());
            }

            if(row.getCell(15) != null && !row.getCell(15).toString().trim().equals(""))
                tbGoodsTransit.setCreateBy(row.getCell(15).getStringCellValue());

            if(row.getCell(16) != null && !row.getCell(16).toString().trim().equals(""))
                tbGoodsTransit.setCreateName(row.getCell(16).getStringCellValue());

            if(row.getCell(17) != null && !row.getCell(17).toString().trim().equals(""))
                tbGoodsTransit.setUpdateBy(row.getCell(17).getStringCellValue());

            if(row.getCell(18) != null && !row.getCell(18).toString().trim().equals(""))
                tbGoodsTransit.setUpdateName(row.getCell(18).getStringCellValue());

            HSSFCell cell3 = row.getCell(19);
            if (cell3 != null && cell3.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell3)) {
                tbGoodsTransit.setUpdateTime(row.getCell(19).getDateCellValue());
            }
            //删除状态,默认可用
            tbGoodsTransit.setDeleteStatus(1);
//			//添加到集合
//			list.add(tbGoodsTransit);
            int insert = tbGoodsTransitMapper.insert(tbGoodsTransit);
            count += insert;
        }
        return count;
    }
    
}
