package com.pj.tb_goods_transit;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_goods_transit -- 审核商户在APP端发布的商品
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbGoodsTransit.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbGoodsTransit extends Model<TbGoodsTransit> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_goods_transit";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-goods-transit";
	public static final String PERMISSION_CODE_ADD = "tb-goods-transit-add";
	public static final String PERMISSION_CODE_EDIT = "tb-goods-transit-edit";
	public static final String PERMISSION_CODE_DEL = "tb-goods-transit-del";




	// ---------- 表中字段 ----------
	/**
	 * 在销商品表主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 商户编号 
	 */
	private String merchantId;	

	/**
	 * 商户名称 
	 */
	private String merchantName;	

	/**
	 * 商品类型 
	 */
	private String goodsType;	

	/**
	 * 商品名称 
	 */
	private String goodsName;	

	/**
	 * 商品单位(吨、kg、个、柜) 
	 */
	private String goodsUnits;	

	/**
	 * 商品价格 
	 */
	private Double price;	

	/**
	 * 产地(国家) 
	 */
	private String placeOrigin;	

	/**
	 * 商品描述 
	 */
	private String description;

	/**
	 * 库存数量 
	 */
	private Integer stock;	

	/**
	 * 商品状态(0=下架,1=在售) 
	 */
	private Integer goodsStatus;	

	/**
	 * 审核状态(0=待审核,1=通过,2=不通过) 
	 */
	private Integer auditStatus;	

	/**
	 * 审核时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date auditTime;

	/**
	 * 审核意见 
	 */
	private String remark;	

	/**
	 * 创建时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date createTime;

	/**
	 * 创建人编号 
	 */
	private String createBy;	

	/**
	 * 创建人名称 
	 */
	private String createName;	

	/**
	 * 更新时间 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date updateTime;

	/**
	 * 更新人编号 
	 */
	private String updateBy;	

	/**
	 * 更新人名称 
	 */
	private String updateName;	

	/**
	 * 删除状态(0=禁用,1=启用) 
	 */
	private Integer deleteStatus;





	


}
