package com.pj.tb_trade_area;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author Mechrevo
 * @Date 2023 07 21 21 01
 **/
@Service
@Transactional(rollbackFor = Exception.class)
public class MethodTradeAreaService {
    
    @Autowired
    private TbTradeAreaMapper tbTradeAreaMapper;


    /**
     * 方法抽取  导入
     * @param row
     * @param sheet
     * @param count
     * @return
     */
    public int importMethod(HSSFRow row, HSSFSheet sheet, int count){

        for (int i = 1; i < sheet.getPhysicalNumberOfRows(); i++) {
            //封装数据到行对象
            row = sheet.getRow(i);
            //定义返回值实体
            TbTradeArea tbTradeArea = new TbTradeArea();
            //解析数据
            if(row.getCell(1) != null)
                tbTradeArea.setName(row.getCell(1).getStringCellValue());

            if(row.getCell(2) != null)
                tbTradeArea.setAddressIds(row.getCell(2).getStringCellValue());

            if(row.getCell(3) != null)
                tbTradeArea.setDetailAddress(row.getCell(3).getStringCellValue());

            if(row.getCell(4) != null)
                tbTradeArea.setAddress(row.getCell(4).getStringCellValue());

            //公共字段
            HSSFCell cell2 = row.getCell(5);
            if (cell2 != null && cell2.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell2)) {
                tbTradeArea.setCreateTime(cell2.getDateCellValue());
            }

            if(row.getCell(6) != null && !row.getCell(6).toString().trim().equals(""))
                tbTradeArea.setCreateBy(row.getCell(6).getStringCellValue());

            if(row.getCell(7) != null && !row.getCell(7).toString().trim().equals(""))
                tbTradeArea.setCreateName(row.getCell(7).getStringCellValue());

            if(row.getCell(8) != null && !row.getCell(8).toString().trim().equals(""))
                tbTradeArea.setUpdateBy(row.getCell(8).getStringCellValue());

            if(row.getCell(9) != null && !row.getCell(9).toString().trim().equals(""))
                tbTradeArea.setUpdateName(row.getCell(9).getStringCellValue());

            HSSFCell cell3 = row.getCell(10);
            if (cell3 != null && cell3.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell3)) {
                tbTradeArea.setUpdateTime(cell3.getDateCellValue());
            }
            //删除状态,默认可用
            tbTradeArea.setDeleteStatus(1);
//			//添加到集合
//			list.add(tbTradeArea);
            int insert = tbTradeAreaMapper.insert(tbTradeArea);
            count += insert;
        }
        return count;
    }
    
}
