package com.pj.project.tb_driver;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author Mechrevo
 * @Date 2023 07 22 12 08
 **/
@Service
@Transactional(rollbackFor = Exception.class)
public class MethodDriverService {
    
    @Autowired
    private TbDriverMapper tbDriverMapper;



    /**
     * 方法抽取  导入
     * @param row
     * @param sheet
     * @param count
     * @return
     */
    public int importMethod(HSSFRow row, HSSFSheet sheet, int count){

        for (int i = 1; i < sheet.getPhysicalNumberOfRows(); i++) {
            //封装数据到行对象
            row = sheet.getRow(i);
            //定义返回值实体
            TbDriver tbDriver = new TbDriver();
            //解析数据
            if(row.getCell(1) != null)
                tbDriver.setName(row.getCell(1).getStringCellValue());

            HSSFCell cell21 = row.getCell(2);
            if (cell21 != null && (cell21.getCellType() == CellType.NUMERIC || cell21.getCellType() == CellType.FORMULA))
                tbDriver.setAge((int) cell21.getNumericCellValue());

            HSSFCell cell3 = row.getCell(3);
            if (cell3 != null && (cell3.getCellType() == CellType.NUMERIC || cell3.getCellType() == CellType.FORMULA))
                tbDriver.setSex((int) cell3.getNumericCellValue());

            if(row.getCell(4) != null)
                tbDriver.setPhone(row.getCell(4).getStringCellValue());

            if(row.getCell(5) != null)
                tbDriver.setAddress(row.getCell(5).getStringCellValue());

            if(row.getCell(6) != null)
                tbDriver.setBankCode(row.getCell(6).getStringCellValue());

            if(row.getCell(7) != null)
                tbDriver.setBankName(row.getCell(7).getStringCellValue());

            if(row.getCell(8) != null)
                tbDriver.setIdCard(row.getCell(8).getStringCellValue());

            if(row.getCell(9) != null)
                tbDriver.setIdCardImg(row.getCell(9).getStringCellValue());

            if(row.getCell(10) != null)
                tbDriver.setDrivingLicenseId(row.getCell(10).getStringCellValue());

            if(row.getCell(11) != null)
                tbDriver.setDrivingLicenseImg(row.getCell(11).getStringCellValue());

            if(row.getCell(12) != null)
                tbDriver.setIdCard(row.getCell(12).getStringCellValue());

            if(row.getCell(13) != null)
                tbDriver.setVehicleDrivingId(row.getCell(13).getStringCellValue());

            if(row.getCell(14) != null)
                tbDriver.setVehicleDrivingImg(row.getCell(14).getStringCellValue());

            if(row.getCell(15) != null)
                tbDriver.setVehicleImg(row.getCell(15).getStringCellValue());


            HSSFCell cell16 = row.getCell(16);
            if (cell16 != null && cell16.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell16)) {
                tbDriver.setRegisterTime(cell16.getDateCellValue());
            }

            HSSFCell cell7 = row.getCell(17);
            if (cell7 != null && (cell7.getCellType() == CellType.NUMERIC || cell7.getCellType() == CellType.FORMULA))
                tbDriver.setIsLock((int) cell7.getNumericCellValue());

            if(row.getCell(18) != null)
                tbDriver.setNopassReason(row.getCell(18).getStringCellValue());

            HSSFCell cell9 = row.getCell(19);
            if (cell9 != null && (cell9.getCellType() == CellType.NUMERIC || cell9.getCellType() == CellType.FORMULA))
                tbDriver.setAuditStatus((int) cell9.getNumericCellValue());

            if(row.getCell(20) != null)
                tbDriver.setAuditBy(row.getCell(20).getStringCellValue());

            HSSFCell cell121 = row.getCell(21);
            if (cell121 != null && cell121.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell121)) {
                tbDriver.setAuditTime(cell121.getDateCellValue());
            }

            //公共字段
            HSSFCell cell18 = row.getCell(22);
            if (cell18 != null && cell18.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell18)) {
                tbDriver.setCreateTime(cell18.getDateCellValue());
            }

            if(row.getCell(23) != null && !row.getCell(23).toString().trim().equals(""))
                tbDriver.setCreateBy(row.getCell(23).getStringCellValue());

            if(row.getCell(24) != null && !row.getCell(24).toString().trim().equals(""))
                tbDriver.setCreateName(row.getCell(24).getStringCellValue());

            if(row.getCell(25) != null && !row.getCell(25).toString().trim().equals(""))
                tbDriver.setUpdateBy(row.getCell(25).getStringCellValue());

            if(row.getCell(26) != null && !row.getCell(26).toString().trim().equals(""))
                tbDriver.setUpdateName(row.getCell(26).getStringCellValue());

            HSSFCell cell27 = row.getCell(27);
            if (cell27 != null && cell27.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell27)) {
                tbDriver.setUpdateTime(cell27.getDateCellValue());
            }
            //删除状态,默认可用
            tbDriver.setDeleteStatus(1);
//			//添加到集合
//			list.add(tbDriver);
            int insert = tbDriverMapper.insert(tbDriver);
            count += insert;
        }
        return count;
    }
    
}
