package com.pj.project.tb_vehicle;

import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Author Mechrevo
 * @Date 2023 07 22 12 32
 **/
@Service
@Transactional(rollbackFor = Exception.class)
public class MethodVehicleService {

    @Autowired
    private TbVehicleMapper tbVehicleMapper;

    /**
     * 方法抽取  导入
     * @param row
     * @param sheet
     * @param count
     * @return
     */
    public int importMethod(HSSFRow row, HSSFSheet sheet, int count){

        for (int i = 1; i < sheet.getPhysicalNumberOfRows(); i++) {
            //封装数据到行对象
            row = sheet.getRow(i);
            //定义返回值实体
            TbVehicle tbVehicle = new TbVehicle();
            //解析数据
            if(row.getCell(1) != null)
                tbVehicle.setVehiclePlate(row.getCell(1).getStringCellValue());

            if(row.getCell(2) != null)
                tbVehicle.setOwner(row.getCell(2).getStringCellValue());

            HSSFCell cell3 = row.getCell(3);
            if (cell3 != null && (cell3.getCellType() == CellType.NUMERIC || cell3.getCellType() == CellType.FORMULA))
                tbVehicle.setVehicleType((int) cell3.getNumericCellValue());

            HSSFCell cell4 = row.getCell(4);
            if (cell4 != null && (cell4.getCellType() == CellType.NUMERIC || cell4.getCellType() == CellType.FORMULA))
                tbVehicle.setParentId((int) cell4.getNumericCellValue());

            if(row.getCell(5) != null)
                tbVehicle.setVehicleSize(row.getCell(5).getStringCellValue());

            if(row.getCell(6) != null)
                tbVehicle.setVehicleModel(row.getCell(6).getStringCellValue());

            if(row.getCell(7) != null)
                tbVehicle.setVehicleLoad(row.getCell(7).getStringCellValue());

            if(row.getCell(8) != null)
                tbVehicle.setVehicleWeight(row.getCell(8).getStringCellValue());

            HSSFCell cell9 = row.getCell(9);
            if (cell9 != null && (cell9.getCellType() == CellType.NUMERIC || cell9.getCellType() == CellType.FORMULA))
                tbVehicle.setAuditStatus((int) cell9.getNumericCellValue());

            if(row.getCell(10) != null)
                tbVehicle.setAuditBy(row.getCell(10).getStringCellValue());

            if(row.getCell(11) != null)
                tbVehicle.setNopassReason(row.getCell(11).getStringCellValue());

            HSSFCell cell12 = row.getCell(12);
            if (cell12 != null && cell12.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell12)) {
                tbVehicle.setAuditTime(cell12.getDateCellValue());
            }



            //公共字段
            HSSFCell cell18 = row.getCell(13);
            if (cell18 != null && cell18.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell18)) {
                tbVehicle.setCreateTime(cell18.getDateCellValue());
            }

            if(row.getCell(14) != null && !row.getCell(14).toString().trim().equals(""))
                tbVehicle.setCreateBy(row.getCell(14).getStringCellValue());

            if(row.getCell(15) != null && !row.getCell(15).toString().trim().equals(""))
                tbVehicle.setCreateName(row.getCell(15).getStringCellValue());

            if(row.getCell(16) != null && !row.getCell(16).toString().trim().equals(""))
                tbVehicle.setUpdateBy(row.getCell(16).getStringCellValue());

            if(row.getCell(17) != null && !row.getCell(17).toString().trim().equals(""))
                tbVehicle.setUpdateName(row.getCell(17).getStringCellValue());

            HSSFCell cell27 = row.getCell(18);
            if (cell27 != null && cell27.getCellType() == CellType.NUMERIC && DateUtil.isCellDateFormatted(cell27)) {
                tbVehicle.setUpdateTime(cell27.getDateCellValue());
            }
            //删除状态,默认可用
            tbVehicle.setDeleteStatus(1);
//			//添加到集合
//			list.add(tbVehicle);
            int insert = tbVehicleMapper.insert(tbVehicle);
            count += insert;
        }
        return count;
    }

}
